com.thinkaurelius.titan.graphdb.query

## Class BackendQueryHolder<E extends BackendQuery<E>>

- java.lang.Object
- - com.thinkaurelius.titan.graphdb.query.BackendQueryHolder<E>

-     public class BackendQueryHolder<E extends BackendQuery<E>>
      extends Object

  Holds a `BackendQuery` and captures additional information that pertains to its execution and to be used by a `QueryExecutor`:
  - Whether the query is fitted, i.e., whether all results returned from executing the backend query are part of the result set or must be filtered in memory.
  - Whether the query results will already be sorted in the user defined sort order or whether extra sorting is required.
  - Additional execution info required by the query executor. This would be compiled by the query optimizer and is passed through verbatim. Can be null.
  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BackendQueryHolder(E backendQuery, boolean fitted, boolean sorted)`
    `BackendQueryHolder(E backendQuery, boolean fitted, boolean sorted, Object executionInfo)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `E` | `getBackendQuery()`
    `Object` | `getExecutionInfo()`
    `boolean` | `isFitted()`
    `boolean` | `isSorted()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BackendQueryHolder

          public BackendQueryHolder(E backendQuery,
                            boolean fitted,
                            boolean sorted,
                            Object executionInfo)

    - #### BackendQueryHolder

          public BackendQueryHolder(E backendQuery,
                            boolean fitted,
                            boolean sorted)

  - ### Method Detail

    - #### getExecutionInfo

          public Object getExecutionInfo()

    - #### isFitted

          public boolean isFitted()

    - #### isSorted

          public boolean isSorted()

    - #### getBackendQuery

          public E getBackendQuery()

Copyright © 2012–2014. All rights reserved.